Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint.F2m

    java.lang.Object
      |
      +--org.bouncycastle.math.ec.ECPoint
            |
            +--org.bouncycastle.math.ec.ECPoint.F2m

Enclosing class:
  ECPoint

public static class ECPoint.F2m
extends ECPoint

Elliptic curve points over Fp

Inner classes inherited from class org.bouncycastle.math.ec.ECPoint
`ECPoint.F2m, ECPoint.Fp`

Constructor Summary
`protected` | `ECPoint.F2m(ECCurve curve, ECFieldElement x, ECFieldElement y)`

Method Summary
`ECPoint` | `add(ECPoint b)`
`byte[]` | `getEncoded()`
`ECPoint` | `multiply(java.math.BigInteger b)`
`ECPoint` | `subtract(ECPoint b)`
`ECPoint` | `twice()`

Methods inherited from class org.bouncycastle.math.ec.ECPoint
`equals, getCurve, getX, getY`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPoint.F2m

    protected ECPoint.F2m(ECCurve curve,
                          ECFieldElement x,
                          ECFieldElement y)

  Parameters:
    `curve` -
    `x` -
    `y` -

Method Detail

### getEncoded

    public byte[] getEncoded()

  Overrides:
    `getEncoded` in class `ECPoint`

### add

    public ECPoint add(ECPoint b)

  Overrides:
    `add` in class `ECPoint`

### subtract

    public ECPoint subtract(ECPoint b)

  Overrides:
    `subtract` in class `ECPoint`

### twice

    public ECPoint twice()

  Overrides:
    `twice` in class `ECPoint`

### multiply

    public ECPoint multiply(java.math.BigInteger b)

  Overrides:
    `multiply` in class `ECPoint`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD